package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 16:38
 * @ClassName VideoRequestVO
 * @Remark
 */
public class VideoRequestVO {
    private String vehicle;
    private String time;
    private String url;
    private Integer channelId;
    private String videoId;

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public String getVideoId() {
        return videoId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicle", vehicle)
                .add("time", time)
                .add("url", url)
                .add("channelId", channelId)
                .add("videoId", videoId)
                .toString();
    }
}
